import java.util.Calendar;

public final class Class478 {

   public Class222_Sub1 aClass222_Sub1_5840 = new Class222_Sub1();
   Class222_Sub1 aClass222_Sub1_5841;


   public void method8051() {
      while(true) {
         Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
         if(var1 == this.aClass222_Sub1_5840) {
            this.aClass222_Sub1_5841 = null;
            return;
         }

         var1.method14013(2081072255);
      }
   }

   public boolean method8052() {
      return this.aClass222_Sub1_5840.aClass222_Sub1_8670 == this.aClass222_Sub1_5840;
   }

   public Class222_Sub1 method8053(byte var1) {
      Class222_Sub1 var2 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
      if(var2 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var2.aClass222_Sub1_8670;
         return var2;
      }
   }

   public Class222_Sub1 method8054(byte var1) {
      Class222_Sub1 var2 = this.aClass222_Sub1_5841;
      if(var2 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var2.aClass222_Sub1_8670;
         return var2;
      }
   }

   public void method8055(int var1) {
      while(true) {
         Class222_Sub1 var2 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
         if(var2 == this.aClass222_Sub1_5840) {
            this.aClass222_Sub1_5841 = null;
            return;
         }

         var2.method14013(1513335306);
      }
   }

   public int method8056(int var1) {
      int var2 = 0;

      for(Class222_Sub1 var3 = this.aClass222_Sub1_5840.aClass222_Sub1_8670; this.aClass222_Sub1_5840 != var3; var3 = var3.aClass222_Sub1_8670) {
         if(var1 >= 1385214721) {
            ;
         }

         ++var2;
      }

      return var2;
   }

   public boolean method8057(int var1) {
      return this.aClass222_Sub1_5840.aClass222_Sub1_8670 == this.aClass222_Sub1_5840;
   }

   public void method8058(Class222_Sub1 var1, int var2) {
      if(null != var1.aClass222_Sub1_8671) {
         if(var2 <= -894188465) {
            ;
         }

         var1.method14013(2116781212);
      }

      var1.aClass222_Sub1_8671 = this.aClass222_Sub1_5840.aClass222_Sub1_8671;
      var1.aClass222_Sub1_8670 = this.aClass222_Sub1_5840;
      var1.aClass222_Sub1_8671.aClass222_Sub1_8670 = var1;
      var1.aClass222_Sub1_8670.aClass222_Sub1_8671 = var1;
   }

   public Class478() {
      this.aClass222_Sub1_5840.aClass222_Sub1_8670 = this.aClass222_Sub1_5840;
      this.aClass222_Sub1_5840.aClass222_Sub1_8671 = this.aClass222_Sub1_5840;
   }

   public Class222_Sub1 method8059() {
      Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
      if(var1 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var1.aClass222_Sub1_8670;
         return var1;
      }
   }

   public Class222_Sub1 method8060() {
      Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
      if(var1 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var1.aClass222_Sub1_8670;
         return var1;
      }
   }

   public void method8061(Class222_Sub1 var1) {
      if(null != var1.aClass222_Sub1_8671) {
         var1.method14013(1528121145);
      }

      var1.aClass222_Sub1_8671 = this.aClass222_Sub1_5840.aClass222_Sub1_8671;
      var1.aClass222_Sub1_8670 = this.aClass222_Sub1_5840;
      var1.aClass222_Sub1_8671.aClass222_Sub1_8670 = var1;
      var1.aClass222_Sub1_8670.aClass222_Sub1_8671 = var1;
   }

   public Class222_Sub1 method8062() {
      Class222_Sub1 var1 = this.aClass222_Sub1_5841;
      if(var1 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var1.aClass222_Sub1_8670;
         return var1;
      }
   }

   public Class222_Sub1 method8063() {
      Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
      if(var1 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var1.aClass222_Sub1_8670;
         return var1;
      }
   }

   public void method8064() {
      while(true) {
         Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
         if(var1 == this.aClass222_Sub1_5840) {
            this.aClass222_Sub1_5841 = null;
            return;
         }

         var1.method14013(1637637950);
      }
   }

   public int method8065() {
      int var1 = 0;

      for(Class222_Sub1 var2 = this.aClass222_Sub1_5840.aClass222_Sub1_8670; this.aClass222_Sub1_5840 != var2; var2 = var2.aClass222_Sub1_8670) {
         ++var1;
      }

      return var1;
   }

   public Class222_Sub1 method8066() {
      Class222_Sub1 var1 = this.aClass222_Sub1_5840.aClass222_Sub1_8670;
      if(var1 == this.aClass222_Sub1_5840) {
         this.aClass222_Sub1_5841 = null;
         return null;
      } else {
         this.aClass222_Sub1_5841 = var1.aClass222_Sub1_8670;
         return var1;
      }
   }

   public boolean method8067() {
      return this.aClass222_Sub1_5840.aClass222_Sub1_8670 == this.aClass222_Sub1_5840;
   }

   static String method8068(long var0, int var2, boolean var3, int var4) {
      Calendar var5;
      if(var3) {
         Class295.method5350(var0);
         var5 = Class409.aCalendar5009;
      } else {
         Class90.method1801(var0);
         var5 = Class409.aCalendar5008;
      }

      int var6 = var5.get(5);
      int var7 = var5.get(2) + 1;
      int var8 = var5.get(1);
      int var9 = var5.get(11);
      int var10 = var5.get(12);
      return Integer.toString(var6 / 10) + var6 % 10 + "/" + var7 / 10 + var7 % 10 + "/" + var8 % 100 / 10 + var8 % 10 + " " + var9 / 10 + var9 % 10 + ":" + var10 / 10 + var10 % 10;
   }

   static final void method8069(Class508 var0, byte var1) throws Exception_Sub4 {
      var0.anInt6003 -= 393249892;
      float var2 = (float)var0.anIntArray6027[-937710807 * var0.anInt6003];
      float var3 = (float)var0.anIntArray6027[-937710807 * var0.anInt6003 + 1];
      float var4 = (float)var0.anIntArray6027[var0.anInt6003 * -937710807 + 2];
      float var5 = (float)var0.anIntArray6027[-937710807 * var0.anInt6003 + 3] / 1000.0F;
      Class336.aClass35_Sub1_4206.method898(Class326.method5868(var2, var3, var4), var5, -1908644937);
   }

   static void method8070(byte var0) {
      if(Class226.aClass217_2623 != null) {
         if(var0 != 1) {
            return;
         }

         Class326 var1 = Class326.method5922(Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.method10913().aClass326_4031);
         Class548 var2 = client.aClass279_7807.method4909(1401859993);
         var1.aFloat4036 += (float)(var2.anInt7419 * -843659437 << 9);
         var1.aFloat4033 += (float)(-1518942839 * var2.anInt7420 << 9);
         var1.method5883((float)(Class226.aClass217_2623.anInt2566 * -482967617), var1.aFloat4037, (float)(385663077 * Class226.aClass217_2623.anInt2563));
         float var3 = var1.method5889();
         var1.method5948();
         float var4 = 0.0F;
         if(var3 < (float)(Class226.aClass217_2623.anInt2562 * -1043305505)) {
            if(var0 != 1) {
               return;
            }

            var4 = 1.0F;
         } else if(var3 > (float)(-1323185135 * Class226.aClass217_2623.anInt2565)) {
            if(var0 != 1) {
               ;
            }

            var4 = 0.0F;
         } else {
            var3 -= (float)(Class226.aClass217_2623.anInt2562 * -1043305505);
            var4 = 1.0F - var3 / (float)(-1087881237 * Class226.aClass217_2623.anInt2564);
         }

         Class225_Sub12_Sub4.method16264((int)(256.0F * var4), -2052656811);
      }

   }

   static char method8071(char var0, int var1) {
      switch(var0) {
      case 32:
      case 45:
      case 95:
      case 160:
         return '_';
      case 35:
      case 91:
      case 93:
         return var0;
      case 192:
      case 193:
      case 194:
      case 195:
      case 196:
      case 224:
      case 225:
      case 226:
      case 227:
      case 228:
         return 'a';
      case 199:
      case 231:
         return 'c';
      case 200:
      case 201:
      case 202:
      case 203:
      case 232:
      case 233:
      case 234:
      case 235:
         return 'e';
      case 205:
      case 206:
      case 207:
      case 237:
      case 238:
      case 239:
         return 'i';
      case 209:
      case 241:
         return 'n';
      case 210:
      case 211:
      case 212:
      case 213:
      case 214:
      case 242:
      case 243:
      case 244:
      case 245:
      case 246:
         return 'o';
      case 217:
      case 218:
      case 219:
      case 220:
      case 249:
      case 250:
      case 251:
      case 252:
         return 'u';
      case 223:
         return 'b';
      case 255:
      case 376:
         return 'y';
      default:
         return Character.toLowerCase(var0);
      }
   }
}
